timer_delete(2)

NAME
timer_delete - delete a POSIX per-process timer

LIBRARY
Real-time library (librt, -lrt)

SYNOPSIS
#include <time.h>

int timer_delete(timer_t timerid);

    Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

timer_delete():
    _POSIX_C_SOURCE >= 199309L

DESCRIPTION
timer_delete() deletes the timer whose ID is given in timerid. If the timer was armed at the time of this call, it is disarmed before being deleted. The treatment of any pending signal generated by the deleted timer is unspecified.

RETURN VALUE
On success, timer_delete() returns 0. On failure, -1 is returned, and errno is set to indicate the error.

ERRORS

EINVAL
    timerid is not a valid timer ID.

STANDARDS
POSIX.1-2008.

HISTORY
Linux 2.6. POSIX.1-2001.

SEE ALSO
clock_gettime(2), timer_create(2), timer_getoverrun(2), timer_settime(2), time(7)